commit:     3859b4a949038ff5d333dc68b1d2c49b11cefffe
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  3 19:20:03 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr  3 19:52:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3859b4a9

net-analyzer/suricata: flag-o-matic--, missing die

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/suricata/suricata-5.0.6.ebuild | 4 ++--
 net-analyzer/suricata/suricata-6.0.2.ebuild | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/net-analyzer/suricata/suricata-5.0.6.ebuild 
b/net-analyzer/suricata/suricata-5.0.6.ebuild
index b3efab9fb84..46d1458df40 100644
--- a/net-analyzer/suricata/suricata-5.0.6.ebuild
+++ b/net-analyzer/suricata/suricata-5.0.6.ebuild
@@ -6,7 +6,7 @@ EAPI=7
 LUA_COMPAT=( lua5-1 luajit )
 PYTHON_COMPAT=( python3_{7..9} )
 
-inherit autotools flag-o-matic linux-info lua-single python-single-r1 systemd 
tmpfiles
+inherit autotools linux-info lua-single python-single-r1 systemd tmpfiles
 
 DESCRIPTION="High performance Network IDS, IPS and Network Security Monitoring 
engine"
 HOMEPAGE="https://suricata-ids.org/";
@@ -121,7 +121,7 @@ src_install() {
        python_optimize
 
        if use bpf; then
-               rm -f ebpf/Makefile.{am,in}
+               rm -f ebpf/Makefile.{am,in} || die
                dodoc -r ebpf/
                keepdir /usr/libexec/suricata/ebpf
        fi

diff --git a/net-analyzer/suricata/suricata-6.0.2.ebuild 
b/net-analyzer/suricata/suricata-6.0.2.ebuild
index 18b52aaae03..7171dc94415 100644
--- a/net-analyzer/suricata/suricata-6.0.2.ebuild
+++ b/net-analyzer/suricata/suricata-6.0.2.ebuild
@@ -6,7 +6,7 @@ EAPI=7
 LUA_COMPAT=( lua5-1 luajit )
 PYTHON_COMPAT=( python3_{7..9} )
 
-inherit autotools flag-o-matic linux-info lua-single python-single-r1 systemd 
tmpfiles
+inherit autotools linux-info lua-single python-single-r1 systemd tmpfiles
 
 DESCRIPTION="High performance Network IDS, IPS and Network Security Monitoring 
engine"
 HOMEPAGE="https://suricata-ids.org/";
@@ -121,7 +121,7 @@ src_install() {
        python_optimize
 
        if use bpf; then
-               rm -f ebpf/Makefile.{am,in}
+               rm -f ebpf/Makefile.{am,in} || die
                dodoc -r ebpf/
                keepdir /usr/libexec/suricata/ebpf
        fi

Reply via email to